/************************************************************************************
					 _     _           _     _       _     _   
					| |   (_)         | |   (_)     | |   | |  
					| |    ___   _____| |    _  __ _| |__ | |_ 
					| |   | \ \ / / _ \ |   | |/ _` | '_ \| __|
					| |___| |\ V /  __/ |___| | (_| | | | | |_ 
					\_____/_| \_/ \___\_____/_|\__, |_| |_|\__|
												__/ |          
BETA Firmware 								   |___/
							
USART TX Output code for LiveLight V2 Firmware 						 _________   __
Written by Henri Rantanen											|__   __\ \ / /
																	   | |   \ V / 
Date		28.4.2014												   | |    > <  
Version		3.0.1													   | |   / . \ 
Target		PCB Version 5, Atmel ATMEGA32-16U						   |_|  /_/ \_\

************************************************************************************/
#include "settings.h"


void USART_Transmit( unsigned char data )
{
/* Wait for empty transmit buffer */
	while ( !( UCSRA & (1<<UDRE)) )
;
/* Put data into buffer, sends the data */
	UDR = data;
}